# algorithms.filter

## Module: `algorithms.filter`

nitime.algorithms.filter.boxcar_filter(time_series, lb=0, ub=0.5, n_iterations=2)

  Filters data into a frequency range.

  For each of the two bounds, a low-passed version is created by convolving with a box-car and then the low-passed version for the upper bound is added to the low-passed version for the lower bound subtracted from the signal, resulting in a band-passed version

  Parameters:

    time_series: float array :

    > the signal

    ub : float, optional

    > The cut-off frequency for the low-pass filtering as a proportion of the sampling rate. Default to 0.5 (Nyquist)

    lb : float, optional

    > The cut-off frequency for the high-pass filtering as a proportion of the sampling rate. Default to 0

    n_iterations: int, optional :

    > how many rounds of smoothing to do. Default to 2.

  Returns:

    float array: :

    > The signal, filtered